import Vue from 'vue'
import Router from 'vue-router'
import Home from '@/Pages/Home'
import Help from '@/Pages/Help'
import Credits from '@/Pages/Credits'
import Settings from '@/Pages/Settings'
import ShowManager from '@/Pages/ShowManager'
import FileManager from '@/Pages/FileManager'
import EmissionManager from '@/Pages/EmissionManager'
import EditPlaylist from '@/Pages/EditPlaylist'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    { path: '/', alias: '/home', name: 'home', component: Home },
    { path: '/shows', name: 'shows', component: ShowManager },
    { path: '/files', name: 'files', component: FileManager },
    { path: '/emissions', name: 'emissions', component: EmissionManager },
    { path: '/help', name: 'help', component: Help },
    { path: '/settings', name: 'settings', component: Settings },
    { path: '/credits', name: 'credits', component: Credits },
    { path: '/playlists/:id', name: 'editPlaylist', component: EditPlaylist, props: true }
  ]
})
